Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript![ Reload ]

Flyme OS 6.7.4.11 beta (U20)

Downloaded but not sure if I should install this or not.
It’s the first global beta for U20. Has anyone tried it?

Yes G version finally, and everything works well for now !!

Looks like your connection to Flyme OS 6.7.4.11 beta (U20) was lost, please wait while we try to reconnect.